Bug 191317 - [exp-run]: Use a proper argument list in PYDISTUTILS_SETUP
[exp-run]: Use a proper argument list in PYDISTUTILS_SETUP
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework
Latest
Any Any
: --- Affects Many People
Assigned To: Marcus von Appen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-23 17:30 UTC by Marcus von Appen
Modified: 2014-06-28 07:05 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus von Appen freebsd_committer 2014-06-23 17:30:22 UTC
Please perform an exp-run for https://phabric.freebsd.org/D270
Comment 1 Marcus von Appen freebsd_committer 2014-06-23 17:32:14 UTC
Assign the correct persons
Comment 2 Mark Linimon freebsd_committer 2014-06-25 02:14:22 UTC
canonicalize assignment.
Comment 3 Antoine Brodin freebsd_committer 2014-06-25 13:58:25 UTC
Take for exp-run
Comment 4 Antoine Brodin freebsd_committer 2014-06-25 14:05:40 UTC
Note: i will run this after the setuptools update is committed,  since there is already an exp-run in this area.
Comment 5 Antoine Brodin freebsd_committer 2014-06-26 18:55:49 UTC
Results available here:
http://pb2.nyi.freebsd.org/build.html?mastername=91amd64-default-PR191317&build=2014-06-25_20h41m24s

New failures:
+ {"origin"=>"devel/bzrtools", "pkgname"=>"bzrtools-2.6.0", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/py-logilab-common", "pkgname"=>"py27-logilab-common-0.61.0", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/qbzr", "pkgname"=>"qbzr-0.23.0_3", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"ftp/py-ftputil", "pkgname"=>"py27-ftputil-2.6", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"graphics/py-editobj", "pkgname"=>"py27-editobj-0.5.7", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"math/py-bitvector", "pkgname"=>"py27-bitvector-3.1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"net-p2p/py-py2play", "pkgname"=>"py27-py2play-0.1.10", "phase"=>"package", "errortype"=>"PLIST"}

Ports skipped due to those new failures:
+ {"origin"=>"cad/kicad-devel", "pkgname"=>"kicad-devel-r4913_6", "depends"=>"bzrtools-2.6.0"}
+ {"origin"=>"devel/bzr-explorer", "pkgname"=>"bzr-explorer-1.3.0", "depends"=>"qbzr-0.23.0_3"}
+ {"origin"=>"devel/py-astroid", "pkgname"=>"py27-astroid-1.1.0", "depends"=>"py27-logilab-common-0.61.0"}
+ {"origin"=>"devel/pylint", "pkgname"=>"pylint-py27-1.2.0", "depends"=>"py27-logilab-common-0.61.0"}
+ {"origin"=>"games/balazar", "pkgname"=>"balazar-0.3.4_4", "depends"=>"py27-editobj-0.5.7"}
+ {"origin"=>"games/balazarbrothers", "pkgname"=>"balazarbrothers-0.3.1_6", "depends"=>"py27-editobj-0.5.7"}
+ {"origin"=>"games/slune", "pkgname"=>"slune-1.0.15_5", "depends"=>"py27-editobj-0.5.7"}
+ {"origin"=>"graphics/py-soya3d", "pkgname"=>"py27-soya3d-0.14_7", "depends"=>"py27-editobj-0.5.7"}

Failure logs:
http://pb2.nyi.freebsd.org/data/91amd64-default-PR191317/2014-06-25_20h41m24s/logs/errors/bzrtools-2.6.0.log
http://pb2.nyi.freebsd.org/data/91amd64-default-PR191317/2014-06-25_20h41m24s/logs/errors/py27-logilab-common-0.61.0.log
http://pb2.nyi.freebsd.org/data/91amd64-default-PR191317/2014-06-25_20h41m24s/logs/errors/qbzr-0.23.0_3.log
http://pb2.nyi.freebsd.org/data/91amd64-default-PR191317/2014-06-25_20h41m24s/logs/errors/py27-ftputil-2.6.log
http://pb2.nyi.freebsd.org/data/91amd64-default-PR191317/2014-06-25_20h41m24s/logs/errors/py27-editobj-0.5.7.log
http://pb2.nyi.freebsd.org/data/91amd64-default-PR191317/2014-06-25_20h41m24s/logs/errors/py27-bitvector-3.1.log
http://pb2.nyi.freebsd.org/data/91amd64-default-PR191317/2014-06-25_20h41m24s/logs/errors/py27-py2play-0.1.10.log
Comment 6 commit-hook freebsd_committer 2014-06-28 07:00:44 UTC
A commit references this bug:

Author: mva
Date: Sat Jun 28 06:59:49 UTC 2014
New revision: 359663
URL: http://svnweb.freebsd.org/changeset/ports/359663

Log:
  - Fix PYDISTUTILS_SETUP to use a proper argument list and avoid polluting the
    PYDISTUTILS_*_ARGS with wrong flags.

  PR:		191317
  Phabric:	D270
  Exp-run:	antoine
  With hat:	python@

Changes:
  head/Mk/bsd.python.mk
Comment 7 commit-hook freebsd_committer 2014-06-28 07:03:46 UTC
A commit references this bug:

Author: mva
Date: Sat Jun 28 07:03:23 UTC 2014
New revision: 359664
URL: http://svnweb.freebsd.org/changeset/ports/359664

Log:
  - Unbreak ports, which installed setup.py files due to the messed up argument
    lists in PYDISTUTILS_SETUP

  PR:		191317
  Phabric:	D270
  With hat:	python@

Changes:
  head/devel/bzrtools/Makefile
  head/devel/bzrtools/pkg-plist
  head/devel/py-astroid/Makefile
  head/devel/py-astroid/pkg-plist
  head/devel/py-logilab-common/Makefile
  head/devel/py-logilab-common/pkg-plist
  head/devel/pylint/Makefile
  head/devel/pylint/pkg-plist
  head/devel/qbzr/Makefile
  head/devel/qbzr/pkg-plist
  head/ftp/py-ftputil/Makefile
  head/ftp/py-ftputil/pkg-plist
  head/graphics/py-editobj/Makefile
  head/graphics/py-editobj/pkg-plist
  head/math/py-bitvector/Makefile
  head/net-p2p/py-py2play/Makefile
  head/net-p2p/py-py2play/pkg-plist